Rated 5 out of 5 stars

Please add the requirement FF >= 13

This review is for a previous version of the add-on (0.4.1).  This user has a previous review of this add-on.